package fixtures

import "git.sapphic.engineer/roleypoly/v4/types"

var (
	RoleWithDarkColor = types.Role{
		ID:          "dark-color",
		Name:        "role with dark color",
		Color:       0xa20000,
		Permissions: 0,
		Position:    10,
	}
	RoleWithLightColor = types.Role{
		ID:          "light-color",
		Name:        "role with light color",
		Color:       0xffaa88,
		Permissions: 0,
		Position:    10,
	}
	RoleWithoutColor = types.Role{
		ID:          "without-color",
		Name:        "role",
		Color:       0x000000,
		Permissions: 0,
		Position:    11,
	}
	//TODO: role with admin (bad)
	//TODO: role with manage roles (bad)
	//TODO: role above roleypoly (bad)
	//TODO: role with managed (bad)
	//TODO: role that is roleypoly (hi)
)
